Downgrading firmware on P3P from 1.10.9 to 1.7.6

Joined
Jul 22, 2019
Messages
12
Reaction score
0
Age
53
I rolled back from 1.11 to 1.7 too with debug method. Can confirm it is working for me. I'm having the board P01012.09 .
I did it like:
1.11 -> 1.10 + Debug
1.10 -> 1.9 + Debug
1.9 -> 1.8
1.8 -> 1.8 + Debug
1.8 -> 1.7
1.7 -> 1.7 + Debug
The last step was important for me, every version step was fine without a + except for 1.8 -> 1.7. There I had to use again debug method on 1.7 itself otherwise I got a + .

EDIT: I have to say that I did the update from 1.10 to 1.11 within the day the update was released the first time on 06.07.2017. And the downgrade was done within the next two days. I don't know whether DJI modified 1.11 to prevent downgrading. I attached the 1.11 I downloaded at 06:30PM at the release day and which I used to upgrade. LINK
how to make file "P3X_FW_DEBUG" to force downgrade
 
Joined
Sep 16, 2020
Messages
5
Reaction score
0
Age
45
Hello,

Can somebody tell me why in my log file, the versions checking start with module 400 ? For any other log files starting with 305,306.
 

Attachments

  • aa.png
    aa.png
    1.6 MB · Views: 22
Joined
Jun 30, 2016
Messages
1,317
Reaction score
564
Location
PL
Can somebody tell me why in my log file, the versions checking start with module 400 ?
Order doesn't matter.

And why - because this is how DJI programmed it. The order probably depends on order of responses from modules.
 
Joined
Dec 27, 2020
Messages
1
Reaction score
0
Age
71
I have now succesfully downgraded my bird P3P from 1.11.30 -> 1.11.20 -> 1.10.9. In summer I got ESC error and updated to 1.11.30 and managed to fly again, but now when I tried again the error came back. So with fear I had to try and succeeded to downgrade. Thanks for instructions!
 
Joined
Jan 12, 2021
Messages
1
Reaction score
0
Age
30
I rolled back from 1.11 to 1.7 too with debug method. Can confirm it is working for me. I'm having the board P01012.09 .
I did it like:
1.11 -> 1.10 + Debug
1.10 -> 1.9 + Debug
1.9 -> 1.8
1.8 -> 1.8 + Debug
1.8 -> 1.7
1.7 -> 1.7 + Debug
The last step was important for me, every version step was fine without a + except for 1.8 -> 1.7. There I had to use again debug method on 1.7 itself otherwise I got a + .

EDIT: I have to say that I did the update from 1.10 to 1.11 within the day the update was released the first time on 06.07.2017. And the downgrade was done within the next two days. I don't know whether DJI modified 1.11 to prevent downgrading. I attached the 1.11 I downloaded at 06:30PM at the release day and which I used to upgrade. LINK
The link is nolonger available, do you still have that same version 1.11.0020 tt you uploaded
 

New Threads

Forum statistics

Threads
140,061
Messages
1,444,515
Members
101,828
Latest member
Chawkins91